#include <bits/stdc++.h>

#define pb push_back

using namespace std;

int limit = 1e6;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int n, k, x;
    cin >> n >> k >> x;
    if (n == k) {
        cout << -1 << endl;
        return 0;
    }
    return 0;
}